% This is "sig-alternate.tex" V2.0 May 2012
% SWC NOTE: Rename the file in a way, it becomes unique for the
%  seminar, and the author and topic are deducible, e.g.,
%  {year}_{author}_{workingtitle}.tex
% SWC NOTE: All files must have the encoding UTF-8 without BOM or ANSI
%
% This file should be compiled with V2.5 of "sig-alternate.cls" May 2012
%
% This example file demonstrates the use of the 'sig-alternate.cls'
% V2.5 LaTeX2e document class file. It is for those submitting
% articles to ACM Conference Proceedings WHO DO NOT WISH TO
% STRICTLY ADHERE TO THE SIGS (PUBS-BOARD-ENDORSED) STYLE.
% The 'sig-alternate.cls' file will produce a similar-looking,
% albeit, 'tighter' paper resulting in, invariably, fewer pages.
%
% SWC NOTE: This template was altered by SWC, RWTH Aachen University
%  to meet the needs for seminars held at our chair.
%
% ----------------------------------------------------------------------------------------------------------------
% This .tex file (and associated .cls V2.5) produces:
%       1) The Permission Statement
%       2) The Conference (location) Info information
%       3) The Copyright Line with ACM data
%       4) NO page numbers
%
% as against the acm_proc_article-sp.cls file which
% DOES NOT produce 1) thru' 3) above.
%
% Using 'sig-alternate.cls' you have control, however, from within
% the source .tex file, over both the CopyrightYear
% (defaulted to 200X) and the ACM Copyright Data
% (defaulted to X-XXXXX-XX-X/XX/XX).
% e.g.
% \CopyrightYear{2007} will cause 2007 to appear in the copyright line.
% \crdata{0-12345-67-8/90/12} will cause 0-12345-67-8/90/12 to appear in the copyright line.
%
% ---------------------------------------------------------------------------------------------------------------
% This .tex source is an example which *does* use
% the .bib file (from which the .bbl file % is produced).
% REMEMBER HOWEVER: After having produced the .bbl file,
% and prior to final submission, you *NEED* to 'insert'
% your .bbl file into your source .tex file so as to provide
% ONE 'self-contained' source file.
%
% ================= IF YOU HAVE QUESTIONS =======================
% Questions regarding the SIGS styles, SIGS policies and
% procedures, Conferences etc. should be sent to
% Adrienne Griscti (griscti@acm.org)
%
% Technical questions _only_ to
% Gerald Murray (murray@hq.acm.org)
%
% SWC NOTE: students of SWC' seminars should contact their
%  supervisor first, e.g., via seminar@swc.rwth-aachen.de
% ===============================================================
%
% For tracking purposes - this is V2.0 - May 2012
% SWC NOTE: Modified by SWC, RWTH Aachen University

\documentclass{sig-alternate}
\usepackage[hyphens]{url}

\usepackage[%
  bookmarks,%
  bookmarksopen=false,%
  hyperfootnotes=false,%
  plainpages=false,% for pdf bookmarks
  pdfpagelabels% for pdf bookmarks
]{hyperref} % should be last before index and glossary
\usepackage{listings}
\usepackage{csvsimple}
\lstset{frameround=fttt,language=Python,numbers=left,breaklines=true}

% SWC Note: Here are some Commands that might be useful
\newcommand{\figref}[1]{figure~\ref{#1}}
\newcommand{\Figref}[1]{Figure~\ref{#1}}
\newcommand{\secref}[1]{section~\ref{#1}}
\newcommand{\Secref}[1]{Section~\ref{#1}}
\newcommand{\tabref}[1]{table~\ref{#1}}
\newcommand{\Tabref}[1]{Table~\ref{#1}}

\usepackage[utf8]{inputenc}
\usepackage{float}

\begin{document}
%
% --- Author Metadata here ---
\conferenceinfo{SWC Seminar 2018/19}{RWTH Aachen University, Germany}
% --- End of Author Metadata ---

\title{Optimizing Enterprise Architectures Considering Different Budgets}
% \subtitle{Optional Subtitle Goes Here}
%
% You need the command \numberofauthors to handle the 'placement
% and alignment' of the authors beneath the title.
%
% For aesthetic reasons, we recommend 'three authors at a time'
% i.e. three 'name/affiliation blocks' be placed beneath the title.
%
% NOTE: You are NOT restricted in how many 'rows' of
% "name/affiliations" may appear. We just ask that you restrict
% the number of 'columns' to three.
%
% Because of the available 'opening page real-estate'
% we ask you to refrain from putting more than six authors
% (two rows with three columns) beneath the article title.
% More than six makes the first-page appear very cluttered indeed.
%
% Use the \alignauthor commands to handle the names
% and affiliations for an 'aesthetic maximum' of six authors.
% Add names, affiliations, addresses for
% the seventh etc. author(s) as the argument for the
% \additionalauthors command.
% These 'additional authors' will be output/set for you
% without further effort on your part as the last section in
% the body of your article BEFORE References or any Appendices.

\numberofauthors{2} %  in this sample file, there are a *total*
% of EIGHT authors. SIX appear on the 'first-page' (for formatting
% reasons) and the remaining two appear in the \additionalauthors section.
%
\author{
% You can go ahead and credit any number of authors here,
% e.g. one 'row of three' or two rows (consisting of one row of three
% and a second row of one, two or three).
%
% The command \alignauthor (no curly braces needed) should
% precede each author name, affiliation/snail-mail address and
% e-mail address. Additionally, tag each line of
% affiliation/address with \affaddr, and tag the
% e-mail address with \email.
%
% 1st. author
\alignauthor
Niklas Dohmen\\
       \affaddr{RWTH Aachen University}\\
       \affaddr{Ahornstr. 55}\\
       \affaddr{52074 Aachen, Germany}\\
       \email{niklas.dohmen@rwth-aachen.de}
% 2nd. author
\alignauthor
Kevin Koopmann\\
       \affaddr{RWTH Aachen University}\\
       \affaddr{Ahornstr. 55}\\
       \affaddr{52074 Aachen, Germany}\\
       \email{kevin.koopmann@rwth-aachen.de}}
% There's nothing stopping you putting the seventh, eighth, etc.
% author on the opening page (as the 'third row') but we ask,
% for aesthetic reasons that you place these 'additional authors'
% in the \additional authors block, viz.
% \additionalauthors{Additional authors: John Smith (The Th{\o}rv{\"a}ld Group, email: {\texttt{jsmith@affiliation.org}}) and Julius P.~Kumquat (The Kumquat Consortium, email: {\texttt{jpkumquat@consortium.net}}).}
% \date{30 July 1999}
% Just remember to make sure that the TOTAL number of authors
% is the number that will appear on the first page PLUS the
% number that will appear in the \additionalauthors section.

\maketitle

% SWC NOTE: We include the abstract from a separate file
\input{abstract}

% A category with the (minimum) three required fields
\category{Applied Computing}{Enterprise Computing}{Enterprise Architecture modeling}[Optimizing]
% A category including the fourth, optional field follows...
%\category{Enterprise Architectures}{Management}[productivity, programming teams, software configuration management]

% \terms{Theory} % SWC NOTE: We don't need any terms

 \keywords{Enterprise Architecture, Enterprise Architecture Management, Linear integer programming, Optimization, Department budgets, Minimum-cost flow problem}

% SWC NOTE: We include the content from a separate file
\input{content}

%
% The following two commands are all you need in the
% initial runs of your .tex file to
% produce the bibliography for the citations in your paper.
\bibliographystyle{abbrv}
\bibliography{bibliography}  % sigproc.bib is the name of the Bibliography in this case
% You must have a proper ".bib" file
%  and remember to run:
% latex bibtex latex latex
% to resolve all references
%
% ACM needs 'a single self-contained file'!
%
%APPENDICES are optional
% SWC NOTE: Usually, we don't need an Appendix
% \balancecolumns
% \appendix
% \input{appendix}

% That's all folks!
\end{document}
